# class Gem::Package::TarWriter::RestrictedStream

`IO` wrapper that provides only `write`

### Public Class Methods

new (io)
Source

    # File lib/rubygems/package/tar_writer.rb, line 60
    def initialize(io)
      @io = io
    end

Creates a new `RestrictedStream` wrapping `io`

### Public Instance Methods

write (data)
Source

    # File lib/rubygems/package/tar_writer.rb, line 67
    def write(data)
      @io.write data
    end

Writes `data` onto the `IO`